@import url('https://fonts.googleapis.com/css2?family=Figtree:wght@300;400;500;600;700&display=swap');

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    overflow-y: scroll;
}

body {
    margin: 0;
    font-family: 'Figtree', sans-serif;
    font-weight: 300;
    background-color: #fbfcff;
}

section[id] {
    scroll-margin-top: 80px;
}

.navbar {
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0.7) 30%,
        rgba(0, 0, 0, 0.3) 60%,
        rgba(0, 0, 0, 0) 100%
    );
}

.font-xl {
    font-size: 60px;
}

.font-lg {
    font-size: 38px;
}

.font-md {
    font-size: 30px;
}

.font-sm {
    font-size: 25px;
}

.font-xs {
    font-size: 16px;
}

.bold-2x {
    font-weight: 700;
}

.bold-1x {
    font-weight: 600;
}

.semi-bold {
    font-weight: 500;
}

.mobile-only {
    display: none !important;
}

@media (max-width: 991px) {
    .font-xl {
        font-size: 46px;
    }

    .font-lg {
        font-size: 32px;
    }

    .font-md {
        font-size: 28px;
    }

    .font-sm {
        font-size: 20px;
    }

    .font-xs {
        font-size: 12px;
    }

    .bold-sm-1x {
        font-weight: 600;
    }

    .desktop-only {
        display: none !important;
    }

    .mobile-only {
        display: inline !important;
    }
}
